---
# ExternalSecret: dispatcher approle
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: dispatcher-approle
  namespace: autojanet
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: openbao
    kind: ClusterSecretStore
  target:
    name: dispatcher-approle
    creationPolicy: Owner
  data:
    - secretKey: role_id
      remoteRef:
        key: autojanet/pm/approle
        property: role_id
    - secretKey: secret_id
      remoteRef:
        key: autojanet/pm/approle
        property: secret_id